Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSSimpleTypeDefinition

All Superinterfaces:
  XSObject, XSTypeDefinition

All Known Subinterfaces:
  XSSimpleType

Deprecated. The interface may be updated or replaced.

public interface XSSimpleTypeDefinition
extends XSTypeDefinition

This interface represents the Simple Type Definition schema component.

Field Summary
`static short` | `FACET_ENUMERATION` Deprecated. 4.3.5 enumeration.
`static short` | `FACET_FRACTIONDIGITS` Deprecated. 4.3.12 fractionDigits.
`static short` | `FACET_LENGTH` Deprecated. 4.3.1 Length
`static short` | `FACET_MAXEXCLUSIVE` Deprecated. 4.3.9 maxExclusive.
`static short` | `FACET_MAXINCLUSIVE` Deprecated. 4.3.7 maxInclusive.
`static short` | `FACET_MAXLENGTH` Deprecated. 4.3.3 maxLength.
`static short` | `FACET_MINEXCLUSIVE` Deprecated. 4.3.9 minExclusive.
`static short` | `FACET_MININCLUSIVE` Deprecated. 4.3.10 minInclusive.
`static short` | `FACET_MINLENGTH` Deprecated. 4.3.2 minLength.
`static short` | `FACET_NONE` Deprecated. No facets defined.
`static short` | `FACET_PATTERN` Deprecated. 4.3.4 pattern.
`static short` | `FACET_TOTALDIGITS` Deprecated. 4.3.11 totalDigits .
`static short` | `FACET_WHITESPACE` Deprecated. 4.3.5 whitespace.
`static short` | `ORDERED_FALSE` Deprecated. A constant defined for the 'ordered' fundamental facet: Not ordered.
`static short` | `ORDERED_PARTIAL` Deprecated. A constant defined for the 'ordered' fundamental facet: partially ordered.
`static short` | `ORDERED_TOTAL` Deprecated. A constant defined for the 'ordered' fundamental facet: total ordered.
`static short` | `VARIETY_ABSENT` Deprecated. The variety is absent for the anySimpleType definition.
`static short` | `VARIETY_ATOMIC` Deprecated. `Atomic` type.
`static short` | `VARIETY_LIST` Deprecated. `List` type.
`static short` | `VARIETY_UNION` Deprecated. `Union` type.

Fields inherited from interface org.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`XSAnnotation` | `getAnnotation()` Deprecated. Optional.
`boolean` | `getBounded()` Deprecated. Fundamental Facet: bounded.
`short` | `getDefinedFacets()` Deprecated. [facets]: get all facets defined on this type.
`boolean` | `getFinite()` Deprecated. Fundamental Facet: cardinality.
`short` | `getFixedFacets()` Deprecated. [facets]: get all facets defined and fixed on this type.
`XSSimpleTypeDefinition` | `getItemType()` Deprecated. If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.
`StringList` | `getLexicalEnumeration()` Deprecated. Returns a list of enumeration values.
`java.lang.String` | `getLexicalFacetValue(short facetName)` Deprecated. Convenience method.
`StringList` | `getLexicalPattern()` Deprecated. Returns a list of pattern values.
`XSObjectList` | `getMemberTypes()` Deprecated. If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise `null`.
`boolean` | `getNumeric()` Deprecated. Fundamental Facet: numeric.
`short` | `getOrdered()` Deprecated. Fundamental Facet: ordered
`XSSimpleTypeDefinition` | `getPrimitiveType()` Deprecated. If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.
`short` | `getVariety()` Deprecated. [variety]: one of {atomic, list, union} or absent
`boolean` | `isDefinedFacet(short facetName)` Deprecated. Convenience method.
`boolean` | `isFixedFacet(short facetName)` Deprecated. Convenience method.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSTypeDefinition
`derivedFrom, derivedFromType, getAnonymous, getBaseType, getFinal, getTypeCategory, isFinal`

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### VARIETY_ABSENT

    public static final short VARIETY_ABSENT

  Deprecated.
  The variety is absent for the anySimpleType definition.

### VARIETY_ATOMIC

    public static final short VARIETY_ATOMIC

  Deprecated.
  `Atomic` type.

### VARIETY_LIST

    public static final short VARIETY_LIST

  Deprecated.
  `List` type.

### VARIETY_UNION

    public static final short VARIETY_UNION

  Deprecated.
  `Union` type.

### FACET_NONE

    public static final short FACET_NONE

  Deprecated.
  No facets defined.

### FACET_LENGTH

    public static final short FACET_LENGTH

  Deprecated.
  4.3.1 Length

### FACET_MINLENGTH

    public static final short FACET_MINLENGTH

  Deprecated.
  4.3.2 minLength.

### FACET_MAXLENGTH

    public static final short FACET_MAXLENGTH

  Deprecated.
  4.3.3 maxLength.

### FACET_PATTERN

    public static final short FACET_PATTERN

  Deprecated.
  4.3.4 pattern.

### FACET_WHITESPACE

    public static final short FACET_WHITESPACE

  Deprecated.
  4.3.5 whitespace.

### FACET_MAXINCLUSIVE

    public static final short FACET_MAXINCLUSIVE

  Deprecated.
  4.3.7 maxInclusive.

### FACET_MAXEXCLUSIVE

    public static final short FACET_MAXEXCLUSIVE

  Deprecated.
  4.3.9 maxExclusive.

### FACET_MINEXCLUSIVE

    public static final short FACET_MINEXCLUSIVE

  Deprecated.
  4.3.9 minExclusive.

### FACET_MININCLUSIVE

    public static final short FACET_MININCLUSIVE

  Deprecated.
  4.3.10 minInclusive.

### FACET_TOTALDIGITS

    public static final short FACET_TOTALDIGITS

  Deprecated.
  4.3.11 totalDigits .

### FACET_FRACTIONDIGITS

    public static final short FACET_FRACTIONDIGITS

  Deprecated.
  4.3.12 fractionDigits.

### FACET_ENUMERATION

    public static final short FACET_ENUMERATION

  Deprecated.
  4.3.5 enumeration.

### ORDERED_FALSE

    public static final short ORDERED_FALSE

  Deprecated.
  A constant defined for the 'ordered' fundamental facet: Not ordered.

### ORDERED_PARTIAL

    public static final short ORDERED_PARTIAL

  Deprecated.
  A constant defined for the 'ordered' fundamental facet: partially ordered.

### ORDERED_TOTAL

    public static final short ORDERED_TOTAL

  Deprecated.
  A constant defined for the 'ordered' fundamental facet: total ordered.

Method Detail

### getVariety

    public short getVariety()

  Deprecated.
  [variety]: one of {atomic, list, union} or absent

### getPrimitiveType

    public XSSimpleTypeDefinition getPrimitiveType()

  Deprecated.
  If variety is `atomic` the primitive type definition (a built-in primitive datatype definition or the simple ur-type definition) is available, otherwise `null`.

### getItemType

    public XSSimpleTypeDefinition getItemType()

  Deprecated.
  If variety is `list` the item type definition (an atomic or union simple type definition) is available, otherwise `null`.

### getMemberTypes

    public XSObjectList getMemberTypes()

  Deprecated.
  If variety is `union` the list of member type definitions (a non-empty sequence of simple type definitions) is available, otherwise `null`.

### getDefinedFacets

    public short getDefinedFacets()

  Deprecated.
  [facets]: get all facets defined on this type. The value is a bit combination of FACET_XXX constants of all defined facets.

### isDefinedFacet

    public boolean isDefinedFacet(short facetName)

  Deprecated.
  Convenience method. [Facets]: check whether a facet is defined on this type.
  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is defined, false otherwise.

### getFixedFacets

    public short getFixedFacets()

  Deprecated.
  [facets]: get all facets defined and fixed on this type.

### isFixedFacet

    public boolean isFixedFacet(short facetName)

  Deprecated.
  Convenience method. [Facets]: check whether a facet is defined and fixed on this type.
  Parameters:
    `facetName` - The name of the facet.
  Returns:
    True if the facet is fixed, false otherwise.

### getLexicalFacetValue

    public java.lang.String getLexicalFacetValue(short facetName)

  Deprecated.
  Convenience method. Returns a value of a single constraining facet for this simple type definition. This method must not be used to retrieve values for `enumeration` and `pattern` facets.
  Parameters:
    `facetName` - The name of the facet, i.e. `FACET_LENGTH, FACET_TOTALDIGITS` (see `XSConstants`).To retrieve value for pattern or enumeration, see `enumeration` and `pattern`.
  Returns:
    A value of the facet specified in `facetName` for this simple type definition or `null`.

### getLexicalEnumeration

    public StringList getLexicalEnumeration()

  Deprecated.
  Returns a list of enumeration values.

### getLexicalPattern

    public StringList getLexicalPattern()

  Deprecated.
  Returns a list of pattern values.

### getOrdered

    public short getOrdered()

  Deprecated.
  Fundamental Facet: ordered

### getFinite

    public boolean getFinite()

  Deprecated.
  Fundamental Facet: cardinality.

### getBounded

    public boolean getBounded()

  Deprecated.
  Fundamental Facet: bounded.

### getNumeric

    public boolean getNumeric()

  Deprecated.
  Fundamental Facet: numeric.

### getAnnotation

    public XSAnnotation getAnnotation()

  Deprecated.
  Optional. An [annotation].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.